adding the initial jjb DMM script 62/11762/2
authorsharath reddy <sharathkumarboyanapally@gmail.com>
Fri, 13 Apr 2018 13:05:12 +0000 (18:35 +0530)
committersharath reddy <sharathkumarboyanapally@gmail.com>
Mon, 16 Apr 2018 05:24:19 +0000 (10:54 +0530)
Change-Id: Ib694cfb6daf713ecc4b7484521fab8055ad70d21
Signed-off-by: sharath reddy <sharathkumarboyanapally@gmail.com>
jjb/csit/include-raw-csit-dmm-functional-virl.sh [new file with mode: 0644]

diff --git a/jjb/csit/include-raw-csit-dmm-functional-virl.sh b/jjb/csit/include-raw-csit-dmm-functional-virl.sh
new file mode 100644 (file)
index 0000000..f2bef39
--- /dev/null
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeu -o pipefail
+
+# execute DMM bootstrap script if it exists
+if [ -e bootstrap-DMM.sh ]
+then
+    # make sure that bootstrap-DMM.sh is executable
+    chmod +x bootstrap-DMM.sh
+    # run the script
+    ./bootstrap-DMM.sh
+else
+    echo 'ERROR: No bootstrap-DMM.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
\ No newline at end of file